#include utility.js
#include ui/chat-message-list.js
#include ui/chat-input.js

Umi.UI.ChatInterface = function() {
    const messages = new Umi.UI.ChatMessageList;
    const input = new Umi.UI.ChatInput;

    const html = $e({
        attrs: {
            className: 'main',
        },
        child: [
            messages,
            input,
        ],
    });

    return {
        getMessageList: function() {
            return messages;
        },
        getInput: function() {
            return input;
        },
        getElement: function() {
            return html;
        },
    };
};
